/** @hidden */ /** */
import { ZoomSettings } from './types';
declare type ZoomOptions = {
    minZoom: number;
    maxZoom: number;
};
export declare const defaultMinZoom = 0.25;
export declare const defaultMaxZoom = 3;
export declare const defaultDropdownZoomFactorValues: number[];
export declare function getZoomFactor(zoom: ZoomSettings, pageSize: {
    width: string;
    height: string;
} | null, viewportSize: {
    width: number;
    height: number;
}): number;
export declare function createMouseWheelHandler(getZoomFactor: () => number, setZoomFactor: (factor: number) => void, options: ZoomOptions): (event: WheelEvent) => WheelEvent;
export declare function createSafariPinchRef(getZoomFactor: () => number, setZoomFactor: (factor: number) => void, options: ZoomOptions): (ref: Element | null) => void;
export declare function createTouchPinchHandler(getZoomFactor: () => number, setZoomFactor: (factor: number) => void, options: ZoomOptions): {
    onTouchStart: (e: TouchEvent) => void;
    onTouchMove: (e: TouchEvent) => void;
    onTouchEnd: (e: TouchEvent) => void;
};
/** Calcs scrollbar size for current browser */
export declare const getScrollbarWidth: () => number;
export {};
